Bug 1443236 - Applications encounter SIGSEGV when LD_LIBRARY_PATH LD_LIBRARY_PATH contains only non-existings paths
Summary: Applications encounter SIGSEGV when LD_LIBRARY_PATH LD_LIBRARY_PATH contains ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: DJ Delorie
QA Contact: Sergey Kolosov
Vladimír Slávik
URL:
Whiteboard:
Depends On: 1184234
Blocks: 1420851 1471969
TreeView+ depends on / blocked
 
Reported: 2017-04-18 20:15 UTC by Kyle Walker
Modified: 2018-04-10 14:00 UTC (History)
12 users (show)

Fixed In Version: glibc-2.17-197.el7
Doc Type: Bug Fix
Doc Text:
Segmentation faults in applications because of only non-existent paths in *LD_LIBRARY_PATH* no longer happen Previously, when the *LD_LIBRARY_PATH* environment variable contained only non-existent paths, the dynamic loader produced a segmentation fault. Consequently, applications terminated unexpectedly with a segmentation fault at startup in the described situation. The dynamic loader has been fixed. As a result, applications no longer terminate unexpectedly in the described situation. Note that updating the _glibc_ package is enough to fix this bug for any affected applications.
Clone Of:
Environment:
Last Closed: 2018-04-10 13:58:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1413085 None CLOSED tigervnc-server segmentation fault 2019-05-15 19:20:41 UTC
Red Hat Knowledge Base (Solution) 3005411 None None None 2017-04-18 20:47:27 UTC
Red Hat Product Errata RHSA-2018:0805 None None None 2018-04-10 14:00:11 UTC
Sourceware 15378 None None None 2019-05-15 19:20:41 UTC

Internal Links: 1413085

Description Kyle Walker 2017-04-18 20:15:16 UTC
Description of problem:
Opening this bug as an offshoot of the following BZ. The bug report below was originally opened against tigervnc-server, but the problem is actually localized to the glibc package:

    1413085 - tigervnc-server segmentation fault

This has been observed within the Fedora 21 release, and addressed:

    1184234 - apparent glibc bug causes gnucash to segfault on startup when LD_LIBRARY_PATH is set to nonexistent directory


Version-Release number of selected component (if applicable):
 glibc-2.17-157.el7_3.1.x86_64

How reproducible:
 Simple

Steps to Reproduce:
1. Set an invalid LD_LIBRARY_PATH
    # export LD_LIBRARY_PATH=/pathtonothing

2. Start the vncserver
    # vncserver -geometry 1280x1024"

3.

Actual results:
 Segfault

Expected results:
 Graceful continue or exit

Additional info:
The upstream issue has been reported in:
 15378 – Segmentation fault when LD_LIBRARY_PATH contains (only) non-existings paths
 https://sourceware.org/bugzilla/show_bug.cgi?id=15378

Comment 2 Carlos O'Donell 2017-04-19 03:00:07 UTC
Thanks for reporting this. We will be looking at this bug as part of our review for RHEL 7.5. If you need a fix sooner please add more information to this bug report. The immediate workaround is to set LD_LIBRARY_PATH in such a way as to avoid the issue.

Comment 15 errata-xmlrpc 2018-04-10 13:58:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0805


Note You need to log in before you can comment on or make changes to this bug.